<?xml version="1.0" encoding="utf-8"?>
						<element xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:foo="foo">
							<choice>
								<name>abc</name>
								<name>def</name>
							</choice>
							<attribute name="goo">
								<data type="ID" datatypeLibrary="http://relaxng.org/ns/compatibility/datatypes/1.0"/>
							</attribute>
						</element>
					